#!/bin/sh
#
# Copyright (c) 2007 Daichi GOTO <daichi@ongs.co.jp>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.

# author: Daichi GOTO (daichi@ongs.co.jp)
# first edition: Sun Jul  8 17:12:30 2007
# last modified: $Date: 2007/10/30 06:59:36 $ $Revision: 1.3 $

post()
{
    config=/usr/local/share/gdm/defaults.conf
    tempfile=$(mktemp /tmp/"${0##*/}".XXXXXX)

    trap "rm -f \"${tempfile}\"; exit 0" EXIT HUP INT QUIT ALRM TERM

    if [ -z "$(grep '^DisallowTCP=false$' "${config}")" ]
    then
        sed 's/#DisallowTCP=true/DisallowTCP=false/' "${config}" > "${tempfile}"
        mv "${tempfile}" "${config}"
        chmod 444 "${config}"
    fi
}

type "${1:-post}" > /dev/null 2>&1 && "${1:-post}"
