#!/bin/sh
#
# Copyright (c) 2008 Daichi GOTO <daichi@ongs.co.jp>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.

# author: Daichi GOTO (daichi@ongs.co.jp)

# StartUP
if [ ! -d ${HOME}/.wine ]
then
    winecfg
fi

SYSTEMREG=${HOME}/.wine/system.reg
USERREG=${HOME}/.wine/user.reg
TMPFILE=$(mktemp ${HOME}/.wine/$(basename $0).XXXXXX) || exit 1

# INPUT method
if [ -z "$(grep InputStyle ${USERREG})" ] 
then
    echo "" >> ${USERREG}
    echo '[Software\\Wine\\X11 Driver]' >> ${USERREG}
    echo '"InputStyle"="root"' >> ${USERREG}
fi

# FONT
(
alllines=$(wc -l ${SYSTEMREG} | awk '{print $1}')
fontentrylinenumber=$(cat -n ${SYSTEMREG} | 
    fgrep '[Software\\Microsoft\\Windows NT\\CurrentVersion\\FontSubstitutes]' |
    awk '{print $1}')

head -n ${fontentrylinenumber} ${SYSTEMREG}

for font in \
    '"Arial"="IPAPGothic"' \
    '"Verdana"="IPAPGothic"'
do
    if [ -z $(grep ''${font}'' ${SYSTEMREG}) ]
    then
        echo ${font}
    fi
done

tail -n $(expr ${alllines} - ${fontentrylinenumber}) ${SYSTEMREG}
) > ${TMPFILE}

mv ${TMPFILE} ${SYSTEMREG}
